MENU

Dust control rotary valve

Cast Iron rotary valves rotary valves are designed for general use on pneumatic conveying systems for both metering and airlock duties, suitable for both vacuum and pressure application on a wide variety of powders and granules, with feeding shoe also suitable for feeding material into pneumatic conveying systems, operation possible without leakage gas venting.
Dust Collector System:You need a durable rotary valve to keep production going strong.

Structure of Dust control rotary valve


RFC1.jpg


Features and Function

矩形 24.jpg

Options

矩形 24.jpg

•

Available in 6 square-flange sizes from 150mm to 400mm;
and 6 heights, from 300mm to 640mm

•

6 vane, 10 vane or 12 vane rotor.

• Standard Valves manufactured in cast iron.• Rotor design: close ended, and adjustable-tip
•

Close vane tolerances ensure high sealing and feeding
efficiency and minimum air leakage.

•

Replaceable rotor wear tips

•

Outboard bearings are standard and a full range of
shaft seal options is available

•

Interior coatings: hard chrome, tungsten, and Teflon

•

Excellent performance in high-temperature applications
up to 250°C.

•

Air purge shaft sealing

• Pressure differentials up to 1.5bar (21PSI).• Valve housing vent ports.
• Open ended rotor with 8 vans•

Accessories: Drop-out box, speed monitor, vent box,
Air purge regulation station.


Dimensions of RFC


RFC2.jpg

Volumetric Capacity


Model

Ltr/Rev

Inlet*/Outlet

Other Dimensions

A

B

C

D

H1

H2

H3

E

H

F

G

Y

*Z

RFC 150

4

150

220

260

8 x Ø 22

60

279

8 x Ø 22.2

15

320

245

265

37.5

1"

RFC 200

10

200

280

320

8 x Ø 22

80

343

8 x Ø 22.2

15

380

275

305

55

1¼"

RFC 250

18

250

330

380

8 x Ø 22

25

406

8 x Ø 25.4

18

440

322

355

65

1¼"

RFC 300

30

300

390

440

8 x Ø 22

25

483

8 x Ø 25.4

23

520

365

405

85

1¼"

RFC 350

45

350

450

510

8 x Ø 22

30

533

8 x Ø 28.6

25

580

403

445

90

1½"

RFC 400

65

400

500

560

8 x Ø 24

30

597

8 x Ø 28.6

25

640

433

475

105

1½"

*Note: Technical modification are possiblem dimensions in mm


Product Introduction


RFC3.jpg


INQUIRY

Name is required!

Mail address required!

Mail address must be valid!

Click it

Message field is empty!

BackBack to Top